# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KFilePropsPlugin Class Reference

'General' plugin This plugin displays the name of the file, its size and access times. More...

`#include <kpropertiesdialog.h>`

Inheritance diagram for KFilePropsPlugin:

[legend]
Collaboration diagram for KFilePropsPlugin:

[legend]
List of all members.

## Public Member Functions

| KFilePropsPlugin (KPropertiesDialog *_props)
virtual void | applyChanges ()
void | postApplyChanges ()
void | setFileNameReadOnly (bool ro)

## Static Public Member Functions

static bool | supports (KFileItemList _items)

## Protected Slots

void | slotEditFileType ()
void | slotCopyFinished (KIO::Job *)
void | slotFileRenamed (KIO::Job *, const KURL &, const KURL &)
void | slotDirSizeUpdate ()
void | slotDirSizeFinished (KIO::Job *)
void | slotFoundMountPoint (const QString &mp, unsigned long kBSize, unsigned long kBUsed, unsigned long kBAvail)
void | slotSizeStop ()
void | slotSizeDetermine ()

## Detailed Description

'General' plugin This plugin displays the name of the file, its size and access times.

Definition at line 495 of file kpropertiesdialog.h.

## Constructor & Destructor Documentation

KFilePropsPlugin::KFilePropsPlugin | ( | KPropertiesDialog * | _props | ) |

Constructor.

Definition at line 663 of file kpropertiesdialog.cpp.

References QToolTip::add(), QGridLayout::addLayout(), QGridLayout::addMultiCellWidget(), QGridLayout::addWidget(), QString::at(), QObject::connect(), QPtrListIterator::current(), KMimeType::defaultMimeType(), endl(), QString::find(), KMimeType::findByFileContent(), KMimeType::findByURL(), KIO::findPathMountPoint(), QString::findRev(), QString::fromLatin1(), QPixmap::height(), KMimeType::iconForURL(), KPropsDlgPlugin::isDesktopFile(), KFileItem::isDir(), QString::isEmpty(), KFileItem::isLink(), KURL::isLocalFile(), QString::isNull(), kdDebug(), QString::length(), KFileItem::linkDest(), KFileItem::mimeComment(), KFileItem::mimetype(), KFileItem::mode(), KFileItem::name(), QIconSet::pixmap(), KURL::prettyURL(), KDiskFreeSp::readDF(), QGridLayout::setColStretch(), KIconButton::setIcon(), QPushButton::setIconSet(), KIconButton::setIconSize(), KIconButton::setIconType(), QLabel::setPixmap(), QHBox::setSpacing(), KIconButton::setStrictIconSize(), QLabel::setText(), QDateTime::setTime_t(), KFileItem::size(), QString::stripWhiteSpace(), KFileItem::time(), and QPixmap::width().

## Member Function Documentation

void KFilePropsPlugin::applyChanges | ( |  | ) | `[virtual]`

Applies all changes made.

This plugin must be always the first plugin in the dialog, since this function may rename the file which may confuse other applyChanges functions.

Reimplemented from KPropsDlgPlugin.

Definition at line 1236 of file kpropertiesdialog.cpp.

References KPropertiesDialog::abortApplying(), QObject::connect(), KIO::copy(), KIO::encodeFileName(), endl(), QString::endsWith(), QString::isEmpty(), kdDebug(), KPropertiesDialog::kurl(), QString::length(), KIO::move(), KURL::path(), KPropertiesDialog::rename(), KMessageBox::sorry(), QString::truncate(), KPropertiesDialog::updateUrl(), and KURL::url().

bool KFilePropsPlugin::supports | ( | KFileItemList | _items | ) | `[static]`

| Tests whether the files specified by _items need a 'General' plugin. Definition at line 1227 of file kpropertiesdialog.cpp. Referenced by KPropertiesDialog::canDisplay().

void KFilePropsPlugin::postApplyChanges | ( |  | ) |

| Called after all plugins applied their changes. Definition at line 1407 of file kpropertiesdialog.cpp. References QValueList::append(), and KPropertiesDialog::items(). Referenced by KPropertiesDialog::slotOk().

The documentation for this class was generated from the following files:

- kpropertiesdialog.h
- kpropertiesdialog.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:46 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003